Skip to content
Start here

Create Metadata Index

vectorize.indexes.metadata_index.create(strindex_name, MetadataIndexCreateParams**kwargs) -> MetadataIndexCreateResponse
POST/accounts/{account_id}/vectorize/v2/indexes/{index_name}/metadata_index/create

Enable metadata filtering based on metadata property. Limited to 10 properties.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Vectorize Write
ParametersExpand Collapse
account_id: str

Identifier

maxLength32
index_name: str
index_type: Literal["string", "number", "boolean"]

Specifies the type of metadata property to index.

One of the following:
"string"
"number"
"boolean"
property_name: str

Specifies the metadata property to index.

ReturnsExpand Collapse
class MetadataIndexCreateResponse:
mutation_id: Optional[str]

The unique identifier for the async mutation operation containing the changeset.

maxLength36

Create Metadata Index

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
metadata_index = client.vectorize.indexes.metadata_index.create(
    index_name="example-index",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
    index_type="string",
    property_name="random_metadata_property",
)
print(metadata_index.mutation_id)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "mutationId": "0000aaaa-11bb-22cc-33dd-444444eeeeee"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "mutationId": "0000aaaa-11bb-22cc-33dd-444444eeeeee"
  },
  "success": true
}